Upload an Individual Avatar
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"isGloballyUnsubscribed": "<boolean>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isArchived": false
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isArchived": false
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Upload an Individual Avatar
Uploads a photo for the individual and returns the updated record with the new avatarUrl. Send the image as multipart form data.
POST
/
api
/
ContactIndividual
/
{contactIndividualId}
/
Avatar
Upload an Individual Avatar
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Avatar';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"isGloballyUnsubscribed": "<boolean>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isArchived": false
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isArchived": false
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Was this page helpful?